Package org.eclipse.gef.fx.swt.controls

## Interface FXControlAdapter.IControlFactory<T extends Control>

Type Parameters:
  `T` - The kind of `Control` to be created by this factory

Enclosing class:
  FXControlAdapter<T extends Control>

    public static interface FXControlAdapter.IControlFactory<T extends Control>

The `FXControlAdapter.IControlFactory` can be used in conjunction with `FXControlAdapter` to create the wrapped SWT `Control` when the surrounding `FXCanvas` changes.

### Method Summary

All Methods Instance Methods Abstract Methods
`T` `createControl​(Composite parent)` Creates the `Control` as a child of the given `Composite` .

### Method Detail

#### createControl

    T createControl​(Composite parent)

Creates the `Control` as a child of the given `Composite` .

Parameters:
  `parent` - The `Composite` in which to create the `Control`.
Returns:
  The new `Control`.